Subject: bug#44753: 27.1; arc-mode does not extract marked files

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 24 Nov 2020 08:46:32 +0100

Vladimir Nikishkin <[email-masked]> writes:

> What I do is I visit an archive, mark entries with `m', which adds an
> asterisk next to their name, and then type `e' or `f', expecting to be
> asked for a directory name to extract these files to.

I'm not quite sure why you'd expect that -- the doc string of these
commands say "In archive mode, extract this entry of the archive into
its own buffer."

In any case, in Emacs 28, there's a new `C' command that'll extract
archive members and write them to disk.  I've now adjusted the command
so that it'll respect the marked files.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no